package wing.fx.dialog;

/**
 * @author Mikael Grev, MiG InfoCom AB
 *         Date: 14-06-22
 *         Time: 22:21
 */
public enum ButtonType
{
	APPLY, OK, CANCEL, YES, NO, FINISH, NEXT, PREVIOUS, CUSTOM, CUSTOM_CLOSE, CUSTOM_APPLY, CUSTOM_CLOSE_APPLY;

	public boolean isClose()
	{
		switch (this) {
			case OK:
			case YES:
			case NO:
			case FINISH:
			case CANCEL:
			case CUSTOM_CLOSE:
			case CUSTOM_CLOSE_APPLY:
				return true;
			default:
				return false;
		}
	}

	public boolean isApply()
	{
		switch (this) {
			case APPLY:
			case OK:
			case YES:
			case FINISH:
			case CUSTOM_APPLY:
			case CUSTOM_CLOSE_APPLY:
				return true;
			default:
				return false;
		}
	}
}
