package wing.fx.dialog;

import javafx.scene.Node;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.layout.HBox;

import java.util.Optional;

/**
 * @author Mikael Grev, MiG InfoCom AB
 *         Date: 14-06-22
 *         Time: 23:06
 */
public class MessageContent extends Label implements DialogContent<ButtonType>
{
	public MessageContent(String text)
	{
		super(text);
		setWrapText(true);
	}

	public Optional<ButtonType> getResult(ButtonType pressed)
	{
		return Optional.of(pressed);
	}

	public Node getContentNode()
	{
		return this;
	}
}
